/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    VARIABLES : FONTS
    Permet de déclarer les polices du site et leur taille
*/

/*
    01 - XS
        Font-family
        Font-size
            Usages
                Hn
                Fonctionnalités
    02 - SM
    03 - MD
    04 - LG
    05 - XL
    06 - XXL
*/



:root {

    /* ---------------------
        01 - XS
            Font-family
    --------------------- */

    /* @info : Gérer dans \views\atomic-design\00-root\fonts.html.twig pour récupérer les valeurs du BO */



    /* ---------------------
        01 - XS
            Font-size
                Usages
                    Hn
    --------------------- */

    --fz-h1: 4rem;
    --fz-h2: 3rem;
    --fz-h3: 2.6rem;
    --fz-h4: 2.4rem;
    --fz-h5: 2rem;
    --fz-h6: 1.8rem;



    /* ---------------------------------
        01 - XS
            Font-size
                Usages
                    Fonctionnalités
    --------------------------------- */

    --fz-body: 1.6rem;
}



@media (min-width: 992px) {
    :root {

        /* ---------------------
            04 - LG
                Font-size
        --------------------- */

        --fz-h1: 5rem;
        --fz-h2: 4rem;
        --fz-h3: 3rem;
        --fz-h4: 2.6rem;
        --fz-h5: 2.2rem;
        --fz-h6: 2rem;
    }
}
